/**
 * 客户档案管理
 * */
var table; //业主
var table1; //住户
var token = $.cookie("token");
$(function() {
	layui.use('laydate', function() {
		var laydate = layui.laydate;
		//日期
		laydate.render({
			elem: '#s_times',
			range: '~',
			theme: '#1ab394',
			calendar: true,
		});
	});
	//获取区域项目期号
	helper.getDropList.getProLocations($('#sc_rengin'), $('#sc_pro'), $('#sc_floor'));
	
	getTableDataList(); //获取业主信息
	$('.search').click(function() {
		getTableDataList();
		$('#t_callTotal1').siblings('.layui-form').hide();
	});

	//上传文件
	$("#btndr").click(function() {
		$("#upFile").trigger("click");
	})
	$("#upFile").change(function() {
		upload();
	})
});
//加载表格业主信息
function getTableDataList() {
	layui.use('table', function() {
		table = layui.table;

		table.on('tool(demoEvent)', function(obj) {
			var data = obj.data;
			if(obj.event === 'showInfo') {
				getHouseHoldList(data.F_CustomerId);
			}
		});

		//方法级渲染
		table.render({
			elem: '#t_callTotal',
			url: huayi.config.callcenter_url + "Customer/GetList",
			method: 'get', //如果无需自定义HTTP类型，可不加该参数
			skin: 'row', //line （行边框风格） row （列边框风格） nob （无边框风格）
			even: true, //开启隔行背景
			size: 'md', //sm,lg,md尺寸的表格
			cellMinWidth: 180,
			loading: true,
			page: true,
			limits: [10, 15, 20, 50, 100],
			where: {
				pid: 0,
				name: $('#s_name').val(), //是	string	姓名
				tel: $('#s_tel').val(), //电话	是	string	电话
				starttime: $('#s_times').val() && $('#s_times').val().split(' ~ ')[0], //是	开始
				endtime: $('#s_times').val() && $('#s_times').val().split(' ~ ')[1], //否	结束	
				areaid: $('#sc_rengin').val(), //否	string	区域id
				regionid: $('#sc_pro').val(), //否	string	项目id
				stageid: $('#sc_floor').val(), //否	string	期号id
				token: token,
			}, //如果无需传递额外参数，可不加该参数
			request: {
				pageName: 'page', //页码的参数名称，默认：page
				limitName: 'pagesize' //每页数据量的参数名，默认：limit
			},
			response: {
				statusName: 'state', //数据状态的字段名称，默认：code
				statusCode: 'success', //成功的状态码，默认：0
				msgName: 'message', //状态信息的字段名称，默认：msg
				countName: 'total', //数据总数的字段名称，默认：count
				dataName: 'rows', //数据列表的字段名称，默认：data
			}, //如果无需自定义数据响应名称，可不加该参数
			cols: [
				[{
						field: 'F_CustomerName',
						title: '姓名',
						align: 'center',
						event: 'showInfo',
						style: 'cursor: pointer;',
						fixed: true,
						sort: true,
						width: 140,
					},
					{
						field: 'F_Mobile',
						title: '手机号码',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: 120,
					},
					{
					    field: 'F_StatusCodeName',
						title: '微信会员',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: 90,
					},
                    {
                        field: 'CustomerTypeName',
                        title: '客户类型',
                        event: 'showInfo',
                        style: 'cursor: pointer;',
                        align: 'center',
                        width: 90,
                    },
					{
						field: 'OwnerRelations',
						title: '房主关系',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: 90,
					},
					{
					    field: 'areaname',
					    title: '区域',
					    event: 'showInfo',
					    style: 'cursor: pointer;',
					    align: 'center',
					    width: '',
					},
					{
						field: 'ProName',
						title: '项目',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
					    field: 'buldingname',
						title: '期',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: 80,
					},
					{
					    field: 'F_CustomerNature',
						title: '楼号',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: 80,
					},
					{
					    field: 'F_CustomerClass',
						title: '单元号',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: 80,
					},
					{
						field: 'F_BusinessLicenseID',
						title: '楼层信息（房间号）',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Address',
						title: '通讯住址',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_TradeId',
						title: '总房款',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},

					{
						field: 'F_RegionId',
						title: '老带新套数',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_BankAccount',
						title: '老带新项目',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_LegalRepresentative',
						title: '置业顾问',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_CustomerEName',
						title: '性别（男，女）',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: 80,
					},
					{
						field: 'F_CustomerPym',
						title: '出生年月',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_LegalRepresentativeCardID',
						title: '身份证号',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Nature',
						title: '籍贯',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Url',
						title: '车辆品牌',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Kind',
						title: '车牌号码',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					//					{
					//						field: 'F_Telephone',
					//						title: '电话',
					//						event: 'showInfo',
					//						style: 'cursor: pointer;',
					//						align: 'center',
					//						width: '',
					//					},
					//					{
					//						field: 'F_Fax',
					//						title: '传真',
					//						event: 'showInfo',
					//						style: 'cursor: pointer;',
					//						align: 'center',
					//						width: '',
					//					},
					//					{
					//						field: 'F_Email',
					//						title: '邮箱',
					//						event: 'showInfo',
					//						style: 'cursor: pointer;',
					//						align: 'center',
					//						width: '',
					//					},
					{
						field: 'F_CustomerLayer',
						title: '学历',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						templet: function(d) {
							return '<span>'+ formatterEducation(d.F_CustomerLayer) +'</span>';
						},
						width: '',
					},
					{
						field: 'F_PostCode',
						title: '收入层次',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_CustomerCode',
						title: '客户工作单位',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_BusinessProfile',
						title: '客户职业',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_OpeningBank',
						title: '职务',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Website',
						title: '兴趣爱好',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_TaxID',
						title: '婚姻状况',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: 80,
					},
					{
						field: 'F_MainProduct',
						title: '家庭人口',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: 80,
					},
					{
						field: 'F_CustomerFrom',
						title: '客户配偶情况',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_TrackInfo',
						title: '客户子女情况',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_TrackState',
						title: '客户父母情况',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_ImportDegree',
						title: '客户消费偏好',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Notes',
						title: '备注',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'F_CustomerId',
						title: '操作',
						align: 'center',
						fixed: 'right',
						templet: function(d) {
							var tstr = 	'<a href="javascript:;" class="aBtn" onclick="btn_addU(\'' + d.F_CustomerId + '\')" title="添加住户信息">添加住户</a>' +
										'<a href="javascript:;" class="aBtn" onclick="btn_edit(\'' + d.F_CustomerId + '\')" title="修改">修改</a>';
							//判断微信是否注册0未注册，1已注册（1、已经导入的业主信息，需要注册后才能登陆；2、没有导入的信息，不能注册）
							if(d.F_StatusCode === 1){
								tstr += '<a href="javascript:;" class="aBtn" onclick="btn_modifyPws(\'' + d.F_CustomerId + '\',\'' + d.F_Mobile + '\', 0)" title="密码初始化">密码初始化</a>';
							}
							tstr += '<a href="javascript:;" class="aBtn" onclick="btn_delete(\'' + d.F_CustomerId + '\')" title="删除">删除</a>';
							return tstr;
						},
						width: '220',
					},
				]
			],
			height: 'full-338'
		});
	});
}

//添加业主信息
function btn_add() {
	layer.open({
		type: 2,
		title: '添加客户信息',
		maxmin: true, //开启最大化最小化按钮
		area: ['90%', '80%'],
		content: '../commonTpl/addOrEditCustomer.html'
	});
}

//修改业主信息
function btn_edit(eid) {
	layer.open({
		type: 2,
		title: '修改客户信息',
		maxmin: true, //开启最大化最小化按钮
		area: ['90%', '80%'],
		content: "../commonTpl/addOrEditCustomer.html?eid=" + eid
	});

}
//删除业主信息 或 住户信息
function btn_delete(delid) {
	var dID;
	delid = '' + delid;
	if(delid.indexOf('_') > -1) {
		dID = delid.split('_')[0];
		var house = delid.split('_')[1];
	} else {
		dID = delid;
	}
	var laye = layer.confirm('您确定要删除当前信息吗？', {
		btn: ['确定', '取消'] //可以无限个按钮
	}, function() {
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "Customer/DelCustomer",
			async: true,
			dataType: "json",
			data: {
				ids: dID,
				token: token,
			},
			success: function(data) {
				if(data.state.toLowerCase() == 'success') {
					if(house === "house") {
						table.reload('t_callTotal1');
					} else {
						table.reload('t_callTotal');
					}
					layer.msg("删除成功！");
				}
			}
		});
	}, function(index) {
		layer.close(laye);
	});
}

//添加住户信息
function btn_addU(pid) {
	layer.open({
		type: 2,
		title: '添加住户信息',
		maxmin: true, //开启最大化最小化按钮
		area: ['90%', '80%'],
		content: '../commonTpl/addOrEditCustomer.html?pid=' + pid,
	});
}
//修改住户信息
function btn_editU(eid,pid) {
	layer.open({
		type: 2,
		title: '修改住户信息',
		maxmin: true, //开启最大化最小化按钮
		area: ['90%', '80%'],
		content: "../commonTpl/addOrEditCustomer.html?eid=" + eid + "&pid=" + pid
	});
}

//加载住户信息
function getHouseHoldList(fpid) {
	layui.use('table', function() {
		table1 = layui.table;
		//方法级渲染
		table1.render({
			elem: '#t_callTotal1',
			url: huayi.config.callcenter_url + "Customer/GetList",
			method: 'get', //如果无需自定义HTTP类型，可不加该参数
			skin: 'row', //line （行边框风格） row （列边框风格） nob （无边框风格）
			even: true, //开启隔行背景
			size: 'sm', //sm,md,lg尺寸的表格
			cellMinWidth: 180,
			loading: true,
			page: true,
			limits: [10, 15, 20, 50, 100],
			where: {
				pid: fpid,
				name: '', //是	string	姓名
				tel: '', //电话	是	string	电话
				starttime: '', //是	开始
				endtime: '', //否	结束			
				token: token,
			}, //如果无需传递额外参数，可不加该参数
			request: {
				pageName: 'page', //页码的参数名称，默认：page
				limitName: 'pagesize' //每页数据量的参数名，默认：limit
			},
			response: {
				statusName: 'state', //数据状态的字段名称，默认：code
				statusCode: 'success', //成功的状态码，默认：0
				msgName: 'message', //状态信息的字段名称，默认：msg
				countName: 'total', //数据总数的字段名称，默认：count
				dataName: 'rows', //数据列表的字段名称，默认：data
			}, //如果无需自定义数据响应名称，可不加该参数
			cols: [
				[{
						field: 'F_CustomerName',
						title: '姓名',
						align: 'center',
						fixed: true,
						sort: true,
						width: 140,
					},
					{
						field: 'F_Mobile',
						title: '手机号码',
						align: 'center',
						width: '',
					},
					{
					    field: 'F_StatusCodeName',
						title: '微信会员',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: 90,
					},
					{
						field: 'CustomerTypeName',
						title: '客户类型',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'OwnerRelations',
						title: '房主关系',
						event: 'showInfo',
						style: 'cursor: pointer;',
						align: 'center',
						width: '',
					},
					{
						field: 'ProName',
						title: '所购项目',
						align: 'center',
						width: '',
					},
					{
						field: 'F_BusinessLicenseID',
						title: '所购楼层信息（房间号）',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Address',
						title: '通讯住址',
						align: 'center',
						width: '',
					},
					{
						field: 'F_TradeId',
						title: '总房款',
						align: 'center',
						width: '',
					},

					{
						field: 'F_RegionId',
						title: '老带新套数',
						align: 'center',
						width: '',
					},
					{
						field: 'F_BankAccount',
						title: '老带新项目',
						align: 'center',
						width: '',
					},
					{
						field: 'F_LegalRepresentative',
						title: '置业顾问',
						align: 'center',
						width: '',
					},
					{
						field: 'F_CustomerEName',
						title: '性别（男，女）',
						align: 'center',
						width: '',
					},
					{
						field: 'F_CustomerPym',
						title: '出生年月',
						align: 'center',
						width: '',
					},
					{
						field: 'F_LegalRepresentativeCardID',
						title: '身份证号',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Nature',
						title: '籍贯',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Url',
						title: '车辆品牌',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Kind',
						title: '车牌号码',
						align: 'center',
						width: '',
					},
					//					{
					//						field: 'F_Telephone',
					//						title: '电话',
					//						align: 'center',
					//						width: '',
					//					},
					//					{
					//						field: 'F_Fax',
					//						title: '传真',
					//						align: 'center',
					//						width: '',
					//					},
					//					{
					//						field: 'F_Email',
					//						title: '邮箱',
					//						align: 'center',
					//						width: '',
					//					},
					{
						field: 'F_CustomerLayer',
						title: '学历',
						align: 'center',
						templet: function(d) {
							return '<span>'+ formatterEducation(d.F_CustomerLayer) +'</span>';
						},
						width: '',
					},
					{
						field: 'F_PostCode',
						title: '收入层次',
						align: 'center',
						width: '',
					},
					{
						field: 'F_BusinessProfile',
						title: '客户职业',
						align: 'center',
						width: '',
					},
					{
						field: 'F_CustomerCode',
						title: '客户工作单位',
						align: 'center',
						width: '',
					},
					{
						field: 'F_OpeningBank',
						title: '职务',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Website',
						title: '兴趣爱好',
						align: 'center',
						width: '',
					},
					{
						field: 'F_TaxID',
						title: '婚姻状况',
						align: 'center',
						width: '',
					},
					{
						field: 'F_MainProduct',
						title: '家庭人口',
						align: 'center',
						width: '',
					},
					{
						field: 'F_CustomerFrom',
						title: '客户配偶情况',
						align: 'center',
						width: '',
					},
					{
						field: 'F_TrackInfo',
						title: '客户子女情况',
						align: 'center',
						width: '',
					},
					{
						field: 'F_TrackState',
						title: '客户父母情况',
						align: 'center',
						width: '',
					},
					{
						field: 'F_ImportDegree',
						title: '客户消费偏好',
						align: 'center',
						width: '',
					},
					{
						field: 'F_Notes',
						title: '备注',
						align: 'center',
						width: '',
					},
					{
						field: 'F_CustomerId',
						title: '操作',
						align: 'center',
						fixed: 'right',
						templet: function(d) {
							var tstr = 	'<a href="javascript:;" class="aBtn" onclick="btn_editU(\'' + d.F_CustomerId + '_house\',\''+ d.F_CustomerId +'\')" title="修改">修改</a>';
							//判断微信是否注册0未注册，1已注册（1、已经导入的业主信息，需要注册后才能登陆；2、没有导入的信息，不能注册）
							if(d.F_StatusCode === 1){
								tstr += '<a href="javascript:;" class="aBtn" onclick="btn_modifyPws(\'' + d.F_CustomerId + '\',\'' + d.F_Mobile + '\', 1)" title="密码初始化">密码初始化</a>';
							}
							tstr += '<a href="javascript:;" class="aBtn" onclick="btn_delete(\'' + d.F_CustomerId + '_house\')" title="删除">删除</a>';
							return tstr;
						},
						width: '200',
					},
				]
			],
			height: 'full-550'
		});
	});
}

//微信会员 - 初始化密码
function btn_modifyPws(cid, ctel, ishouse) {
	layer.open({
		type: 2,
		content: "../commonTpl/modifyPws.html?cid=" + cid + "&ctel=" + ctel + "&ishouse=" + ishouse, //iframe的url，no代表不显示滚动条
		title: '微信会员-初始化密码',
		area: ['50%', '55%'], //宽高
	});
}

//导入客户信息
function btn_export() {
	layer.open({
		maxmin: true, //开启最大化最小化按钮
		type: 2,
		content: "../commonTpl/importCustomers.html", //iframe的url，no代表不显示滚动条
		title: '导入客户信息',
		area: ['50%', '55%'], //宽高
	});
}

//格式化学历
function formatterEducation(edu){
	var eduStr = ''; 
	switch (edu){
		case '0':
				eduStr = '小学';
			break;
		case '1':
				eduStr = '初中';
			break;
		case '2':
				eduStr = '高中';
			break;
		case '3':
				eduStr = '中专';
			break;
		case '4':
				eduStr = '大专（高职等）';
			break;
		case '5':
				eduStr = '本科';
			break;
		case '6':
				eduStr = '学士';
			break;
		case '7':
				eduStr = '硕士研究生';
			break;
		case '8':
				eduStr = '博士研究生';
			break;
		case '9':
				eduStr = '博士后';
			break;
		default:
			break;
	}
	return eduStr;
}
